#include <iostream>
#include <vector>
#include <algorithm>
#include <iterator>
#include <stdlib.h>

using namespace std;
int VeceIliJednako(const vector<int>& a, int x) {
return distance(a.begin(), upper_bound(a.begin(), a.end(), x));
}
int Manji(const vector<int>& a, int x) {
return distance(a.begin(), lower_bound(a.begin(), a.end(), x)) - 1;
}
int main()
{
    int n,b;
    cin>>n;
    cin>>b;
    vector<int> a(n);
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    sort(a.begin(),a.end());
    for(int j=0;j<b;j++){
        int z;
        cin>>z;
        int zadnjimanji,prviveci,brojzeda,o;
        if(z<a[n-1] && z>a[0]){
            zadnjimanji=Manji(a,z);
            prviveci=VeceIliJednako(a,z+1);
            brojzeda=prviveci-zadnjimanji-1;
            o=abs(n-prviveci-zadnjimanji-1);
            cout<<max((o-brojzeda),0)<<endl;
        }
        else if(z==a[n-1]){
            zadnjimanji=Manji(a,z);
            brojzeda=n-zadnjimanji-1;
            o=abs(brojzeda-n);
            cout<<max((o-brojzeda),0)<<endl;
        }
        else if(z==a[0]){
            prviveci=VeceIliJednako(a,z+1);
            brojzeda=prviveci;
            o=abs(n-prviveci);
            cout<<max((o-brojzeda),0)<<endl;
        }
        else{
            cout<<n<<endl;
        }
    }
}